{
    template:'${tmpl}',
    data:function(){
      return {
        applynum:"",
        publishnum:"",
        activeIndex:"",
        datalist:{
        },
      };
    },

    methods:{
      obtainpatentinfo(){
        var obj={
          applynum:this.applynum,
          publishnum:this.publishnum
        };
        var that=this;
        this.$root.postReq("/web/patentycCtl/obtainpatentinfo", obj).then(function (d){
          if(d.status==0){
            that.datalist=d.data;
          }
        })
      }
    },
    mounted:function(){
      this.applynum=this.$router.history.current.query.applynum;
      this.publishnum=this.$router.history.current.query.publishnum;
      this.activeIndex=this.$router.history.current.query.activeIndex;
      if(this.activeIndex==1){
        $("#patentyc").text("常规检索-专利详情");
      };
      if(this.activeIndex==2){
        $("#patentyc").text("高级检索-专利详情");
      }
      this.obtainpatentinfo();
    },
    vname:"gsb-patentdetail"
}
